IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.TABLES  WHERE TABLE_NAME = N'CARGA_MATRIZ_ERRO_PROCESSAMENTO')
BEGIN
/*
=======================================================================================
'Nível Classificação.: INFORMAÇÃO RESTRITA
'Versão..............: 202201071700 
'Job.................:  
'Nome................: CARGA_MATRIZ_ERRO_PROCESSAMENTO 
'Objetivo............:  
'Tabelas.............: CARGA_MATRIZ_ERRO_PROCESSAMENTO
'Dt Criação..........: 07/01/2022 
'Dt Ult Alteracão....: 07/01/2022
'Alterado por........: Marcos Barros 
'Criado por..........: Iuri Zacarias
'=======================================================================================
FARMAGOI-25770
*/

	CREATE TABLE CARGA_MATRIZ_ERRO_PROCESSAMENTO ( 
	  ID					INT	IDENTITY(1,1) NOT NULL, 
	  CD_FILIAL				INT	NULL, 
	  TABELA				VARCHAR(255) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NULL, 
	  TIPO_CARGA			VARCHAR(128) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,  
	  VERSAO_ATLAS_MATRIZ	VARCHAR(128) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL, 
	  CAUSA_RAIZ_EXCECAO	VARCHAR(MAX) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NULL,
	  DETALHES_EXCECAO		VARCHAR(MAX) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NULL,
	  DATA_CADASTRO			DATETIME DEFAULT GETDATE() NULL, CONSTRAINT PK_CARGA_MATRIZ_ERRO_PROCESSAMENTO PRIMARY KEY (ID))
END

